classification
Title: atexit._run_exitfuncs should be a public API
Type: enhancement Stage: needs patch
Components: Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, Philip.Mountifield, gregory.p.smith, rhettinger, sbt
Priority: normal Keywords:

Created on 2012-10-09 19:02 by gregory.p.smith, last changed 2014-07-14 00:51 by rhettinger. This issue is now closed.

Messages (4)
msg172505 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2012-10-09 19:02
The atexit module's _run_exitfuncs() function needs to be a public API.  In Python 2.x it was exposed through a disgusting hack as "sys.exitfunc()" that the atexit module monkeypatched into place at import time.

This monkeypatching was cleaned up in Python 3.

But it is still useful to expose this to users who need to write their own program shutdown code that ultimately calls os._exit or similar (avoiding atexit hooks that way) but also need to make sure the atexit exit functions get called.
msg222975 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-13 21:22
@Gregory do you intend to follow up on this?
msg222980 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2014-07-13 23:17
I don't currently have a need for this so, no.
msg222987 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-07-14 00:51
Closed due to lack on interest.
History
Date User Action Args
2014-07-14 00:51:54rhettingersetstatus: open -> closed

nosy: + rhettinger
messages: + msg222987

resolution: out of date
2014-07-13 23:17:45gregory.p.smithsetmessages: + msg222980
2014-07-13 21:22:37BreamoreBoysetnosy: + BreamoreBoy

messages: + msg222975
versions: + Python 3.5, - Python 3.4
2012-10-11 14:10:30Philip.Mountifieldsetnosy: + Philip.Mountifield
2012-10-09 20:40:25pitrousetnosy: + sbt
2012-10-09 19:02:52gregory.p.smithcreate